Bug 11047 - REGRESSION: Empty options cause the entire select to collapse
: REGRESSION: Empty options cause the entire select to collapse
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Forms
: 420+
: Macintosh Mac OS X 10.4
: P1 Normal
Assigned To: Nobody
: HasReduction, InRadar, Regression
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 11:35 PDT by Matt Lilek (pewtermoose)
Modified: 2007-02-07 13:03 PST (History)
2 users (show)

See Also:


Attachments
Testcase (324 bytes, text/html)
2006-09-26 11:37 PDT, Matt Lilek (pewtermoose)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Lilek (pewtermoose) 2006-09-26 11:35:32 PDT
Empty option tags in the new selects cause the entire select to collapse when clicked (initially rendered okay).

Probably related to http://bugzilla.opendarwin.org/show_bug.cgi?id=10783
Comment 1 Matt Lilek (pewtermoose) 2006-09-26 11:37:21 PDT
Created attachment 10784 [details]
Testcase
Comment 2 Matt Lilek (pewtermoose) 2006-10-27 17:34:34 PDT
filed as <rdar://problem/4808018>
Comment 3 Adele Peterson 2007-01-18 17:10:49 PST
part of the problem here is that the malformed size attribute is causing the popup to get this style:

-webkit-appearance: listbox

I have a fix for this, and once that is fixed, then this should only be a problem when someone explicitly set -webkit-appearance: none
Comment 4 Maciej Stachowiak 2007-02-07 05:06:04 PST
Closed in Radar.
Comment 5 Matt Lilek (pewtermoose) 2007-02-07 12:35:41 PST
Is this really fixed? If you open the testcase and click in ToT, it still collapses but not as much (only loses 3 or 4 pixels but is noticeable).  It doesn't need the empty size attribute like the testcase has to reproduce.
Comment 6 mitz@webkit.org 2007-02-07 13:03:02 PST
(In reply to comment #5)
> Is this really fixed? If you open the testcase and click in ToT, it still
> collapses but not as much (only loses 3 or 4 pixels but is noticeable).  It
> doesn't need the empty size attribute like the testcase has to reproduce.
> 

Confirmed. Not sure if this bug can be reopened independently of the radar or a new bug should be filed. For what it's worth, I think fixing bug 10783 will finally fix this bug as well.